ONVIF::Media::Elements::GetOSDResponse(3)

NAME
ONVIF::Media::Elements::GetOSDResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetOSDResponse from the namespace http://www.onvif.org/ver10/media/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   OSD

     $element->set_OSD($data);
     $element->get_OSD();

METHODS

  new
 my $element = ONVIF::Media::Elements::GetOSDResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   OSD =>  { # ONVIF::Media::Types::OSDConfiguration
     VideoSourceConfigurationToken =>  { value => $some_value },
     Type => $some_value, # OSDType
     Position =>  { # ONVIF::Media::Types::OSDPosConfiguration
       Type =>  $some_value, # string
       Pos => ,
       Extension =>  { # ONVIF::Media::Types::OSDPosConfigurationExtension
       },
     },
     TextString =>  { # ONVIF::Media::Types::OSDTextConfiguration
       Type =>  $some_value, # string
       DateFormat =>  $some_value, # string
       TimeFormat =>  $some_value, # string
       FontSize =>  $some_value, # int
       FontColor =>  { # ONVIF::Media::Types::OSDColor
         Color => ,
       },
       BackgroundColor =>  { # ONVIF::Media::Types::OSDColor
         Color => ,
       },
       PlainText =>  $some_value, # string
       Extension =>  { # ONVIF::Media::Types::OSDTextConfigurationExtension
       },
     },
     Image =>  { # ONVIF::Media::Types::OSDImgConfiguration
       ImgPath =>  $some_value, # anyURI
       Extension =>  { # ONVIF::Media::Types::OSDImgConfigurationExtension
       },
     },
     Extension =>  { # ONVIF::Media::Types::OSDConfigurationExtension
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL